<?xml version="1.0"?>
<project name="Isn" default="clean" basedir=".">
    <description>The Hello World of build files.</description>
    <property name="debug" value="true" overwrite="false" />
    
    <target name="clean" description="remove all generated files">
        <delete dir="src/isn.abst/bin/" failonerror="false" />
        <delete dir="src/isn.abst/obj/" failonerror="false" />
        <delete dir="src/isn/bin/" failonerror="false" />
        <delete dir="src/isn/obj/" failonerror="false" />
        <delete dir="src/isnd/bin/" failonerror="false" />
        <delete dir="src/isnd/obj/" failonerror="false" />
        <delete dir="test/isn.tests/bin/" failonerror="false" />
        <delete dir="test/isn.tests/obj/" failonerror="false" />
        <delete dir="test/isnd.tests/bin/" failonerror="false" />
        <delete dir="test/isnd.tests/obj/" failonerror="false" />
    </target>
    <target name="build" description="build all">
        <exec program="dotnet" commandline="build" />
    </target>
    <target name="test" description="test all">
        <exec program="dotnet" commandline="test" />
    </target>
</project>
